Bug 808146 (CVE-2012-1585) - CVE-2012-1585 openstack-nova: Long server names grow nova-api log files significantly
Summary: CVE-2012-1585 openstack-nova: Long server names grow nova-api log files signi...
Status: CLOSED ERRATA
Alias: CVE-2012-1585
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120329,repor...
Keywords: Security
Depends On: 808148 808149 808150
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-29 17:18 UTC by Russell Bryant
Modified: 2016-11-08 16:23 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 17:56:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 962515 None None None Never

Description Russell Bryant 2012-03-29 17:18:08 UTC
Dan Prince reported a vulnerability in OpenStack Compute (Nova) API servers. By PUTing or POSTing extremely long server names to the OpenStack API, any authenticated user may grow nova-api log files significantly, potentially resulting in disk space exhaustion and denial of service to the affected nova-api nodes. Only setups running the OpenStack API are affected.


Note You need to log in before you can comment on or make changes to this bug.